Cant build Qt Example for Android



  • I followed the guidelines and installed Qt5.11, Android Studio (latest), android ndk 10e (recommended), android sdk tools latest.

    when I build I get the following:

    17:21:28: Running steps for project mapviewer...
    17:21:28: Configuration unchanged, skipping qmake step.
    17:21:28: Starting: "C:\Android\android-ndk-r10e\prebuilt\windows-x86_64\bin\make.exe"
    C:\Android\android-ndk-r10e/toolchains/arm-linux-androideabi-4.9/prebuilt/windows-x86_64/bin/arm-linux-androideabi-g++ -c -D__ANDROID_API__=16 --sysroot=C:\Android\android-ndk-r10e/platforms/android-16/arch-arm/ -isystem C:\Android\android-ndk-r10e/sources/cxx-stl/gnu-libstdc++/4.9/include -isystem C:\Android\android-ndk-r10e/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a/include -fstack-protector-strong -DANDROID -march=armv7-a -mfloat-abi=softfp -mfpu=vfp -fno-builtin-memmove -g -g -marm -O0 -std=gnu++11 -Wall -W -D_REENTRANT -fPIC -DQT_QML_DEBUG -DQT_LOCATION_LIB -DQT_QUICK_LIB -DQT_OPENGL_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_POSITIONING_LIB -DQT_CONCURRENT_LIB -DQT_SQL_LIB -DQT_CORE_LIB -I../../mapviewer -I. -IC:/Qt/5.11.0/android_armv7/include -IC:/Qt/5.11.0/android_armv7/include/QtLocation -IC:/Qt/5.11.0/android_armv7/include/QtQuick -IC:/Qt/5.11.0/android_armv7/include/QtOpenGL -IC:/Qt/5.11.0/android_armv7/include/QtWidgets -IC:/Qt/5.11.0/android_armv7/include/QtGui -IC:/Qt/5.11.0/android_armv7/include/QtQml -IC:/Qt/5.11.0/android_armv7/include/QtNetwork -IC:/Qt/5.11.0/android_armv7/include/QtPositioning -IC:/Qt/5.11.0/android_armv7/include/QtConcurrent -IC:/Qt/5.11.0/android_armv7/include/QtSql -IC:/Qt/5.11.0/android_armv7/include/QtCore -I. -IC:/Qt/5.11.0/android_armv7/mkspecs/android-g++ -o main.obj ../main.cpp
    C:\Android\android-ndk-r10e/toolchains/arm-linux-androideabi-4.9/prebuilt/windows-x86_64/bin/arm-linux-androideabi-g++ --sysroot=C:\Android\android-ndk-r10e/platforms/android-16/arch-arm/ -Wl,-soname,libqml_location_mapviewer.so -Wl,-rpath=C:/Qt/5.11.0/android_armv7/lib -Wl,--no-undefined -Wl,-z,noexecstack -shared -o libqml_location_mapviewer.so main.obj qrc_mapviewer.obj -LC:\Android\android-ndk-r10e/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a -Lc:/android/android-ndk-r10e/toolchains/arm-linux-androideabi-4.9/prebuilt/windows-x86_64/bin/../lib/gcc/arm-linux-androideabi/4.9 -LC:/Qt/5.11.0/android_armv7/lib -lQt5Location -Lc:\utils\android-ndk-r10e/sources/cxx-stl/gnu-libstdc++/4.9/libs/armeabi-v7a -Lc:/utils/android-ndk-r10e/toolchains/arm-linux-androideabi-4.9/prebuilt/windows/bin/../lib/gcc/arm-linux-androideabi/4.9 -LC:\Qt\5.11.0\android_armv7/lib -lQt5Quick -lQt5OpenGL -lQt5Widgets -lQt5Gui -lQt5Qml -lQt5Network -lQt5Positioning -lQt5Concurrent -lQt5Sql -lQt5Core -lGLESv2 -lgnustl_shared -lgcc -llog -lz -lm -ldl -lc
    17:21:32: The process "C:\Android\android-ndk-r10e\prebuilt\windows-x86_64\bin\make.exe" exited normally.
    17:21:32: Starting: "C:\Android\android-ndk-r10e\prebuilt\windows-x86_64\bin\make.exe" "INSTALL_ROOT=E:/Development/qt/mapviewer/target/android-build" install
    C:\Android\android-ndk-r10e\prebuilt\windows-x86_64\bin\make.exe: Interrupt/Exception caught (code = 0xc00000fd, addr = 0000000000420386)
    17:21:33: The process "C:\Android\android-ndk-r10e\prebuilt\windows-x86_64\bin\make.exe" exited with code 255.
    Error while building/deploying project mapviewer (kit: Android for armeabi-v7a (GCC 4.9, Qt 5.11.0 for Android armv7))
    When executing step "Copy application data"
    17:21:34: Elapsed time: 00:06.

    And the application fails to deploy.

    I have deployed the android studio examples without issue.


  • Moderators

    @JmQuinlan said in Cant build Qt Example for Android:

    Interrupt/Exception caught (code = 0xc00000fd

    might mean that gcc couldn't be found.
    Did you setup your Android dev environment correctly inside the QtCreator settings?



  • Did you ever resolve this? I'm getting the same error. I followed the guide posted by @raven-worx and I don't see any issues with my setup.

    FWIW, my QtCreator doesn't seem to recognize gcc as a a compiler option (it only has MinGW and several flavors of Clang).

    Also, I'm using Qt 5.9.3, Android SDK 26.1.1, JDK 8 update 121, and ndk r10e.


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.